<?xml version="1.0" encoding="utf-8"?>
<config-project id="hld_package_namespace" version="1.0">
    <config-page id="hld_package_page1" folder="false">
        <config-set id="extra_pkg_type" level="0" dynamic="0" folder="false" visible="false">
            <config id="pkg_sign_type" type="enum" default=".cms" required="true" editable="true" visible="false">
                <validation range=".asc,.cms"/>
            </config>
            <config id="pkg_sign_verify" type="enum" default=".crl" required="true" editable="true" visible="false">
                <validation range=".crl"/>
            </config>
        </config-set>
        <config-set id="hld_id_package_summary" type="table" widths="25,25,15,35" headers="hld_hdr_package_summary">
            <!--icmr包-->
            <config id="hld_package_icmr.name" type="labelfield" default="ICMR.zip" visible="false"/>
            <!--X86-->
            <config id="hld_package_icmr_x86.name" type="labelfield" default="iMasterNCE-CampusInsight_V100R022C00SPC1b0_EntTools_linux-x86-64.zip"
                    fileType="install_resource" check_type="sign" dependsID="base_arch_type" dependsOp="eq" zh_describe="CampusInsight工程框架包" en_describe="CampusInsight project framework package"
                    dependsValue="x86" dependsAction="show" copyTo="hld_package_icmr.name"/>
            <!--ARM-->
            <config id="hld_package_icmr_arm.name" type="labelfield" default="iMasterNCE-CampusInsight_V100R022C00SPC1b0_EntTools_linux-aarch64.zip"
                    fileType="install_resource" check_type="sign" dependsID="base_arch_type" dependsOp="eq" zh_describe="CampusInsight工程框架包" en_describe="CampusInsight project framework package"
                    dependsValue="arm" dependsAction="show" copyTo="hld_package_icmr.name"/>
            <config id="hld_package_icmr.desc" type="labelfield" default="" visible="true"/>

             <!--OSMediation，区分ARM和x86，不区分操作系统-->
            <config id="hld_package_osmediation.name" type="labelfield" default="OSMediation.zip" visible="false"/>
            <config id="hld_package_osmediation_x86.name" type="labelfield" default="iMasterNCE-CampusInsight_V100R022C00SPC1b0_OSMediation_linux-x86-64.zip"
                    fileType="install_resource" check_type="sign" dependsID="base_arch_type" dependsOp="eq" zh_describe="CampusInsight操作系统适配工具包" en_describe="CampusInsight tool package for operating systems"
                    dependsValue="x86" dependsAction="show" copyTo="hld_package_osmediation.name"/>
            <config id="hld_package_osmediation_arm.name" type="labelfield" default="iMasterNCE-CampusInsight_V100R022C00SPC1b0_OSMediation_linux-aarch64.zip"
                    fileType="install_resource" check_type="sign" dependsID="base_arch_type" dependsOp="eq" zh_describe="CampusInsight操作系统适配工具包" en_describe="CampusInsight tool package for operating systems"
                    dependsValue="arm" dependsAction="show" copyTo="hld_package_osmediation.name"/>
            <config id="hld_package_osmediation.desc" type="labelfield" default="" visible="true"/>
            <!--操作系统补丁包 区分ARM和x86区分操作系统-->
            <!--Euler x86-->
            <config id="hld_package_os_patch_euler_x86.name" type="labelfield" default="iMasterNCEServerInstall_{version}_EulerOS{version}Patch-x86-64_pkg.tar" fileType="install_resource"
                    check_type="sign" dependsID="base_os_type,base_arch_type" dependsOp="eq,eq"
                    dependsValue="EulerOS,x86" dependsAction="show,show" zh_describe="CampusInsight操作系统补丁包" en_describe="CampusInsight patch package for operating systems"/>

            <!--Euler ARM-->
            <config id="hld_package_os_patch_euler_arm.name" type="labelfield" default="iMasterNCEServerInstall_{version}_EulerOS{version}Patch-aarch64_pkg.tar" fileType="install_resource"
                    check_type="sign" dependsID="base_os_type,base_arch_type" dependsOp="eq,eq"
                    dependsValue="EulerOS,arm" dependsAction="show,show" zh_describe="CampusInsight操作系统补丁包" en_describe="CampusInsight patch package for operating systems"/>


        </config-set>
        <config-set id="hld_id_enterprise_download_diagram">
            <config id="hld_enterprise_download_diagram" type="hardware_bind_page" url="static/img/enterprise_download.png" zoom="true"/>
        </config-set>
    </config-page>
</config-project>
